#!/usr/bin/gnuplot

set xl "D [km]"
set yl "N dN"

#set xr [1e0:1e3]
#set yr [:1e4]
set logscale xy
set mxtics 10

set style line 1 lt 1
set style line 2 lt 2
set style line 3 lt 9
set style line 4 lt 7

p "<awk '(NR>1)' sfd1.dat | ./hc_sfd.awk" w lp ls 1,\
  "<awk '(NR>1)' sfd1.dat_EDITED | ./hc_sfd.awk" w lp ls 1,\
  "<awk '(NR>1)' sfd2.dat | ./hc_sfd.awk" w lp ls 2,\
  "MB.dat_hc" w l ls 3
pa -1

set term png small
set out "gen_sfd.png"
rep


