#!/usr/bin/awk -f

BEGIN{
  t1 = ARGV[1];
  t2 = ARGV[2];
  dt = ARGV[3];
  ARGV[1]=ARGV[2]=ARGV[3]="";
}
(FILENAME==ARGV[4]){	# Gnuplot file
  out = out $0 "\n";
}
END{
  t = t1;
  while (t<=t2) {
    TIME = sprintf("%.2f", t);
    OUT = sprintf("%04d", int(t));

    tmp = gensub("\\$TIME", TIME, "g", out);
    tmp = gensub("\\$OUT", OUT, "g", tmp);
    print tmp;

    t = t + dt;
  }
}

